## TextTrackCueList

A List of TextTrackCues.

## Constructor

#### new TextTrackCueList(cues)
`tracks/text-track-cue-list.js`, `line 30`

  Create an instance of this class..

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `cues` | Array | A list of cues to be initialized with

  See:

    - Spec

### Members

#### length :number
`tracks/text-track-cue-list.js`, `line 53`

  The current number of `TextTrackCue`s in the TextTrackCueList.

### Methods

#### getCueById(id) → {TextTrackCueList~TextTrackCue|null}
`tracks/text-track-cue-list.js`, `line 115`

  Get a `TextTrackCue` that is currently in the `TextTrackCueList` by id.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `id` | string | The id of the cue that should be searched for.

  ##### Returns:

  TextTrackCueList~TextTrackCue | null -

  A single cue or null if none was found.

### Type Definitions

#### TextTrackCue
`tracks/text-track-cue-list.js`, `line 7`

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `id` | string | The unique id for this text track cue
  `startTime` | number | The start time for this text track cue
  `endTime` | number | The end time for this text track cue
  `pauseOnExit` | boolean | Pause when the end time is reached if true.

  See:

    - Spec